DefaultTlsAgreementCredentials (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class DefaultTlsAgreementCredentials

- java.lang.Object
- - org.bouncycastle.crypto.tls.AbstractTlsCredentials
  - - org.bouncycastle.crypto.tls.AbstractTlsAgreementCredentials
    - - org.bouncycastle.crypto.tls.DefaultTlsAgreementCredentials

- All Implemented Interfaces:
    TlsAgreementCredentials, TlsCredentials

      public class DefaultTlsAgreementCredentials
      extends AbstractTlsAgreementCredentials

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BasicAgreement` | `basicAgreement`
    `protected Certificate` | `certificate`
    `protected AsymmetricKeyParameter` | `privateKey`
    `protected boolean` | `truncateAgreement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTlsAgreementCredentials(Certificate certificate, AsymmetricKeyParameter privateKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateAgreement(AsymmetricKeyParameter peerPublicKey)`
    `Certificate` | `getCertificate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### certificate

          protected Certificate certificate

    - #### privateKey

          protected AsymmetricKeyParameter privateKey

    - #### basicAgreement

          protected BasicAgreement basicAgreement

    - #### truncateAgreement

          protected boolean truncateAgreement

  - ### Constructor Detail

    - #### DefaultTlsAgreementCredentials

          public DefaultTlsAgreementCredentials(Certificate certificate,
                                        AsymmetricKeyParameter privateKey)

  - ### Method Detail

    - #### getCertificate

          public Certificate getCertificate()

    - #### generateAgreement

          public byte[] generateAgreement(AsymmetricKeyParameter peerPublicKey)